<?php
/*
Plugin Name: WP Single Post Navigation
Plugin URI: http://genesisthemes.de/plugins/wp-single-post-navigation/
Description: This plugin adds next & previous navigation links on single posts to have some kind of a browse post by post nav style.
Version: 1.1
Author: David Decker - DECKERWEB
Author URI: http://deckerweb.de/
*/

// Add single post navigation stylesheet
add_action( 'wp_print_styles', 'wp_single_post_navigation_stylesheet' );
function wp_single_post_navigation_stylesheet() {
	wp_deregister_style('wp_single_post_navigation'); // de-register
	wp_register_style('wp_single_post_navigation', plugins_url('/css/single-post-navigation.css', __FILE__), false, '1.1', 'screen'); // re-register
	wp_enqueue_style( 'wp_single_post_navigation' ); // load
}

// Add single post navigation links
add_action( 'wp_footer', 'single_prev_next_links' );
function single_prev_next_links() {
	if ( is_single() ) { ?>
		<div class="wpspn-area">
			<div id="wpspn-prevpost">
				<?php previous_post_link( '%link', '&raquo;' ); ?>
			</div>
			<div id="wpspn-nextpost">
				<?php next_post_link( '%link', '&laquo;' ); ?>
			</div>
		</div>
	<?php }
}

?>
